## libapache-mod-waklog 0.994

=== Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



pkgdatadir = $(datadir)/mod_waklog_so
pkgincludedir = $(includedir)/mod_waklog_so
pkglibdir = $(libdir)/mod_waklog_so
pkglibexecdir = $(libexecdir)/mod_waklog_so
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
subdir = .
DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(top_srcdir)/configure AUTHORS COPYING \
	ChangeLog INSTALL NEWS install-sh missing
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  { test ! -d "$(distdir)" \
    || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
         && rm -fr "$(distdir)"; }; }
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} /usr/src/modwaklog-1.00/missing --run aclocal-1.11
AFS_INC = /usr/include/afs
AFS_LIBS = /usr/lib/afs
AMTAR = ${SHELL} /usr/src/modwaklog-1.00/missing --run tar
APACHE_INC = /usr/include/apache2
APACHE_LIBS = /usr/lib/
APXS = /usr/bin/apxs2
AUTOCONF = ${SHELL} /usr/src/modwaklog-1.00/missing --run autoconf
AUTOHEADER = ${SHELL} /usr/src/modwaklog-1.00/missing --run autoheader
AUTOMAKE = ${SHELL} /usr/src/modwaklog-1.00/missing --run automake-1.11
AWK = mawk
CC = gcc
CCDEPMODE = depmode=none
CFLAGS = -Wall -g -O2
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"mod_waklog_so\" -DVERSION=\"1.0\"
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EXEEXT = 
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
KRB5_INC = /usr/include/
KRB5_LIBS = /usr/lib/
LDFLAGS = 
LIBOBJS = 
LIBS = 
LTLIBOBJS = 
MAKEINFO = ${SHELL} /usr/src/modwaklog-1.00/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
OBJEXT = o
PACKAGE = mod_waklog_so
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_URL = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
SET_MAKE = 
SHELL = /bin/bash
STRIP = 
VERSION = 1.0
WAKLOG_DEBUG = 
abs_builddir = /usr/src/modwaklog-1.00
abs_srcdir = /usr/src/modwaklog-1.00
abs_top_builddir = /usr/src/modwaklog-1.00
abs_top_srcdir = /usr/src/modwaklog-1.00
ac_ct_CC = gcc
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build_alias = 
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE}
dvidir = ${docdir}
exec_prefix = ${prefix}
host_alias = 
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /usr/src/modwaklog-1.00/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = 
top_builddir = .
top_srcdir = .
INCLUDES = -I/usr/include/ -I/usr/include/afs -I/usr/include/apache2
LIB = -L/usr/lib/afs -L/usr/lib/ -L/usr/lib/ -lkrb5 -lk5crypto  \
       -lprot -lauth -lresolv -lubik -lrxkad -lsys -lrx -llwp -ldes \
       -lcom_err -lafsutil

APXSCC = `${APXS} -q CC` \
          \
         ${INCLUDES} \
         -fPIC \
         -DEAPI \
         -g \
         `${APXS} -q CFLAGS`

all: all-am

.SUFFIXES:
am--refresh:
	@:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
	      $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    echo ' $(SHELL) ./config.status'; \
	    $(SHELL) ./config.status;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck

$(top_srcdir)/configure:  $(am__configure_deps)
	$(am__cd) $(srcdir) && $(AUTOCONF)
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
$(am__aclocal_m4_deps):
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	$(am__remove_distdir)
	test -d "$(distdir)" || mkdir "$(distdir)"
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
	-test -n "$(am__skip_mode_fix)" \
	|| find "$(distdir)" -type d ! -perm -755 \
		-exec chmod u+rwx,go+rx {} \; -o \
	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
	  ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
	|| chmod -R a+r "$(distdir)"
dist-gzip: distdir
	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
	$(am__remove_distdir)

dist-bzip2: distdir
	tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
	$(am__remove_distdir)

dist-lzma: distdir
	tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
	$(am__remove_distdir)

dist-xz: distdir
	tardir=$(distdir) && $(am__tar) | xz -c >$(distdir).tar.xz
	$(am__remove_distdir)

dist-tarZ: distdir
	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
	$(am__remove_distdir)

dist-shar: distdir
	shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
	$(am__remove_distdir)

dist-zip: distdir
	-rm -f $(distdir).zip
	zip -rq $(distdir).zip $(distdir)
	$(am__remove_distdir)

dist dist-all: distdir
	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
	$(am__remove_distdir)

# This target untars the dist file and tries a VPATH configuration.  Then
# it guarantees that the distribution is self-contained by making another
# tarfile.
distcheck: dist
	case '$(DIST_ARCHIVES)' in \
	*.tar.gz*) \
	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
	*.tar.bz2*) \
	  bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
	*.tar.lzma*) \
	  lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
	*.tar.xz*) \
	  xz -dc $(distdir).tar.xz | $(am__untar) ;;\
	*.tar.Z*) \
	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
	*.shar.gz*) \
	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
	*.zip*) \
	  unzip $(distdir).zip ;;\
	esac
	chmod -R a-w $(distdir); chmod a+w $(distdir)
	mkdir $(distdir)/_build
	mkdir $(distdir)/_inst
	chmod a-w $(distdir)
	test -d $(distdir)/_build || exit 0; \
	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
	  && am__cwd=`pwd` \
	  && $(am__cd) $(distdir)/_build \
	  && ../configure --srcdir=.. --prefix="$$dc_install_base" \
	    $(DISTCHECK_CONFIGURE_FLAGS) \
	  && $(MAKE) $(AM_MAKEFLAGS) \
	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
	  && $(MAKE) $(AM_MAKEFLAGS) check \
	  && $(MAKE) $(AM_MAKEFLAGS) install \
	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
	        distuninstallcheck \
	  && chmod -R a-w "$$dc_install_base" \
	  && ({ \
	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
	  && rm -rf "$$dc_destdir" \
	  && $(MAKE) $(AM_MAKEFLAGS) dist \
	  && rm -rf $(DIST_ARCHIVES) \
	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
	  && cd "$$am__cwd" \
	  || exit 1
	$(am__remove_distdir)
	@(echo "$(distdir) archives ready for distribution: "; \
	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
	  sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
distuninstallcheck:
	@$(am__cd) '$(distuninstallcheck_dir)' \
	&& test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
	   || { echo "ERROR: files left after uninstall:" ; \
	        if test -n "$(DESTDIR)"; then \
	          echo "  (check DESTDIR support)"; \
	        fi ; \
	        $(distuninstallcheck_listfiles) ; \
	        exit 1; } >&2
distcleancheck: distclean
	@if test '$(srcdir)' = . ; then \
	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
	  exit 1 ; \
	fi
	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
	  || { echo "ERROR: files left in build directory after distclean:" ; \
	       $(distcleancheck_listfiles) ; \
	       exit 1; } >&2
check-am: all-am
check: check-am
all-am: Makefile
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

=== debian/changelog ===
libapache-mod-waklog (0.994) unstable; urgency=low

  * apply patch to include libopenafs-dev as build dependency and
  libapache2-webauth as alternative to libapache2-mod-auth-kerb,
  from Jon Robertson <jonrober@stanford.edu>

 -- megacz <adam@megacz.com>  Sun, 26 Oct 2008 14:16:56 -0800

libapache-mod-waklog (0.993) unstable; urgency=low

  * apply modwaklog-security.patch from Simon Wilkinson <simon@sxw.org.uk>

 -- megacz <adam@megacz.com>  Tue, 15 Jan 2008 12:28:45 -0800

libapache-mod-waklog (0.991) unstable; urgency=low

  * swap order of AFS_LIBS and KRB5_LIBS to get the correct libcom_err.a

 -- megacz <adam@megacz.com>  Mon, 14 Jan 2008 15:53:28 -0800

libapache-mod-waklog (0.99) unstable; urgency=low

  * Initial release

 -- Adam Megacz <megacz@cs.berkeley.edu>  Thu, 22 Mar 2007 21:05:30 -0700

=== debian/control ===
Source: libapache-mod-waklog
Section: web
Priority: optional
Maintainer: Adam Megacz <megacz@cs.berkeley.edu>
Build-Depends: apache2-prefork-dev, libkrb5-dev, autoconf, 
 automake, libopenafs-dev
Standards-Version: 3.6.1

Package: libapache2-mod-waklog
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, apache2-mpm-prefork, krb5-config, 
 libapache2-mod-auth-kerb | libapache2-webauth
Description:  AFS Authentication for Apache2

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

CFLAGS = -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

default:binary

apache20:
	dh_testdir
	chmod +x regen.sh
	./regen.sh
	./configure \
	  --with-afs-libs=/usr/lib/afs \
	  --with-afs-headers=/usr/include/afs \
	  --with-apache-headers=/usr/include/apache2 \
	  --with-apxs=/usr/bin/apxs2
	make clean
	$(MAKE)
	mv .libs/mod_waklog.so .; true
	dh_installdirs
	mkdir -p debian/libapache2-mod-waklog/usr/lib/apache2/modules/
	mkdir -p debian/libapache2-mod-waklog/etc/apache2/mods-available
	cp mod_waklog.so debian/libapache2-mod-waklog/usr/lib/apache2/modules/
	cp debian/waklog.load debian/libapache2-mod-waklog/etc/apache2/mods-available

clean:
	dh_testdir
	dh_testroot
	rm -rf build-stamp .libs
	-$(MAKE) clean
	dh_clean  --exclude ./_darcs/current/Makefile.orig --exclude ./Makefile.orig

binary-indep:

binary-arch: apache20
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	#dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## libapache-mod-waklog 1.1.0+deb13

=== debian/changelog ===
libapache-mod-waklog (1.1.0+deb13) UNRELEASED; urgency=medium

  * Compiled for Debian 13

 -- root <root@metalist.civ.zcu.cz>  Thu, 23 Oct 2025 08:45:51 +0200

libapache-mod-waklog (1.1.0) unstable; urgency=low

  * New feature and bugfix release; see NEWS for details

 -- Jacob Welsh <jwelsh@sinenomine.net>  Fri, 17 Jul 2015 07:25:44 -0500

libapache-mod-waklog (1.01) unstable; urgency=low

  * Applied patch Simon Wilkinson <simon@sxw.org.uk>, fixed a bug,
    modified mod_waklog to not leave droppings in /tmp

 -- Adam Megacz <megacz@hcoop.net>  Thu, 18 Jun 2009 13:49:59 -0700

libapache-mod-waklog (1.0) unstable; urgency=low

  * The 1.0 release

 -- Adam Megacz <megacz@hcoop.net>  Thu, 18 Jun 2009 13:48:42 -0700

=== debian/control ===
Source: libapache-mod-waklog
Section: web
Priority: optional
Maintainer: Jacob Welsh <jwelsh@sinenomine.net>
Build-Depends: debhelper (>= 8), apache2-dev, libkrb5-dev, autoconf,
 automake, libopenafs-dev
Standards-Version: 3.9.6

Package: libapache2-mod-waklog
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description:  AFS Authentication for Apache2
 mod_waklog is an Apache module that provides aklog-like semantics for the web.
 mod_waklog will acquire (and store in the kernel) an AFS credential when a
 connection is opened, use the credential for the duration of the connection,
 and will remove the credential when the connection is closed.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

CFLAGS = -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

build-apache2:
	dh_testdir
	chmod +x regen.sh
	./regen.sh
	./configure \
	  --with-afs-libs=/usr/lib/afs \
	  --with-afs-headers=/usr/include/afs \
	  --with-apxs=/usr/bin/apxs2
	make clean
	$(MAKE)
	mv .libs/mod_waklog.so .; true
	dh_installdirs
	mkdir -p debian/libapache2-mod-waklog/usr/lib/apache2/modules/
	mkdir -p debian/libapache2-mod-waklog/etc/apache2/mods-available
	cp mod_waklog.so debian/libapache2-mod-waklog/usr/lib/apache2/modules/
	cp debian/waklog.load debian/libapache2-mod-waklog/etc/apache2/mods-available
	touch build-apache2

clean:
	dh_testdir
	dh_testroot
	rm -rf build-stamp .libs
	[ ! -f Makefile ] || $(MAKE) clean
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f aclocal.m4 configure compile install-sh missing Makefile.in mod_waklog.la mod_waklog.so
	dh_clean  --exclude ./_darcs/current/Makefile.orig --exclude ./Makefile.orig

build: build-indep build-arch
build-indep:
build-arch: build-apache2

binary: binary-indep binary-arch
binary-indep: build-indep
binary-arch: build-arch
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

.PHONY: build clean binary-indep binary-arch binary build-indep build-arch
